Skip to content

/api/v1/products/{id} (PUT)

PUT
/api/v1/products/{id}
curl --request PUT \
--url https://example.com/api/v1/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "description": "example", "category": "example", "trackLots": true, "trackSerials": true, "trackExpiry": true, "shelfLifeDays": 1, "rotationStrategy": "Fifo", "velocityClass": "A", "weightUnit": "Kg", "lengthUnit": "Cm", "unitsOfMeasure": [ { "code": "example", "name": "example", "quantityOfLevelBelow": 1, "weight": 1, "length": 1, "width": 1, "height": 1, "barcodes": [ { "value": "example", "type": "Gtin" } ] } ] }'
id
required
string format: uuid
object
name
string
description
string
nullable
category
string
nullable
trackLots
boolean
trackSerials
boolean
trackExpiry
boolean
shelfLifeDays
integer format: int32
nullable
rotationStrategy
string
nullable
Allowed values: Fifo Lifo Fefo
velocityClass
string
nullable
Allowed values: A B C
weightUnit
string
nullable
Allowed values: Kg G Lb Oz
lengthUnit
string
nullable
Allowed values: Cm Mm M In
unitsOfMeasure
Array<object>
nullable
object
code
string
name
string
quantityOfLevelBelow
integer format: int32
nullable
weight
number format: double
nullable
length
number format: double
nullable
width
number format: double
nullable
height
number format: double
nullable
barcodes
Array<object>
nullable
object
value
string
type
string
nullable
Allowed values: Gtin Other

OK

object
id
required
string format: uuid
sku
required
string
name
required
string
description
required
string
nullable
category
required
string
nullable
status
required
string
Allowed values: Active Inactive PendingDelete
trackLots
required
boolean
trackSerials
required
boolean
trackExpiry
required
boolean
shelfLifeDays
required
integer format: int32
nullable
rotationStrategy
required
string
Allowed values: Fifo Lifo Fefo
velocityClass
required
string
nullable
Allowed values: A B C
weightUnit
required
string
Allowed values: Kg G Lb Oz
lengthUnit
required
string
Allowed values: Cm Mm M In
unitsOfMeasure
required
Array<object>
object
id
required
string format: uuid
code
required
string
name
required
string
level
required
integer format: int32
quantityOfLevelBelow
required
integer format: int32
baseUnitQuantity
required
integer format: int32
weight
required
number format: double
nullable
length
required
number format: double
nullable
width
required
number format: double
nullable
height
required
number format: double
nullable
barcodes
required
Array<object>
object
id
required
string format: uuid
value
required
string
type
required
string
Allowed values: Gtin Other
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable